ALL= inline/asl.h \
proto/asl.h  \
inline/commodities.h \
proto/commodities.h  \
inline/diskfont.h \
proto/diskfont.h  \
inline/dos.h \
proto/dos.h  \
inline/exec.h \
proto/exec.h  \
inline/expansion.h \
proto/expansion.h  \
inline/gadtools.h \
proto/gadtools.h  \
inline/graphics.h \
proto/graphics.h  \
inline/icon.h \
proto/icon.h  \
inline/iffparse.h \
proto/iffparse.h  \
inline/intuition.h \
proto/intuition.h  \
inline/keymap.h \
proto/keymap.h  \
inline/layers.h \
proto/layers.h  \
inline/locale.h \
proto/locale.h  \
inline/mathffp.h \
proto/mathffp.h  \
inline/mathieeedoubbas.h \
proto/mathieeedoubbas.h  \
inline/mathieeedoubtrans.h \
proto/mathieeedoubtrans.h  \
inline/mathieeesingbas.h \
proto/mathieeesingbas.h  \
inline/mathieeesingtrans.h \
proto/mathieeesingtrans.h  \
inline/mathtrans.h \
proto/mathtrans.h  \
inline/rexxsyslib.h \
proto/rexxsyslib.h  \
inline/translator.h \
proto/translator.h  \
inline/utility.h \
proto/utility.h  \
inline/wb.h \
proto/wb.h  \


inline/%.h: proto/%.h fd/%_lib.fd
	fd2inline fd/$*_lib.fd proto/$*.h >inline/$*.h

proto/%.h: man/%.doc
	+auto2proto man/$*.doc >proto/$*.h

all: $(ALL)

proto/asl.h: man/asl.doc
inline/asl.h: proto/asl.h fd/asl_lib.fd
proto/commodities.h: man/commodities.doc
inline/commodities.h: proto/commodities.h fd/commodities_lib.fd
proto/diskfont.h: man/diskfont.doc
inline/diskfont.h: proto/diskfont.h fd/diskfont_lib.fd
proto/dos.h: man/dos.doc
inline/dos.h: proto/dos.h fd/dos_lib.fd
proto/exec.h: man/exec.doc
inline/exec.h: proto/exec.h fd/exec_lib.fd
proto/expansion.h: man/expansion.doc
inline/expansion.h: proto/expansion.h fd/expansion_lib.fd
proto/gadtools.h: man/gadtools.doc
inline/gadtools.h: proto/gadtools.h fd/gadtools_lib.fd
proto/graphics.h: man/graphics.doc
inline/graphics.h: proto/graphics.h fd/graphics_lib.fd
proto/icon.h: man/icon.doc
inline/icon.h: proto/icon.h fd/icon_lib.fd
proto/iffparse.h: man/iffparse.doc
inline/iffparse.h: proto/iffparse.h fd/iffparse_lib.fd
proto/intuition.h: man/intuition.doc
inline/intuition.h: proto/intuition.h fd/intuition_lib.fd
proto/keymap.h: man/keymap.doc
inline/keymap.h: proto/keymap.h fd/keymap_lib.fd
proto/layers.h: man/layers.doc
inline/layers.h: proto/layers.h fd/layers_lib.fd
proto/locale.h: man/locale.doc
inline/locale.h: proto/locale.h fd/locale_lib.fd
proto/mathffp.h: man/mathffp.doc
inline/mathffp.h: proto/mathffp.h fd/mathffp_lib.fd
proto/mathieeedoubbas.h: man/mathieeedoubbas.doc
inline/mathieeedoubbas.h: proto/mathieeedoubbas.h fd/mathieeedoubbas_lib.fd
proto/mathieeedoubtrans.h: man/mathieeedoubtrans.doc
inline/mathieeedoubtrans.h: proto/mathieeedoubtrans.h fd/mathieeedoubtrans_lib.fd
proto/mathieeesingbas.h: man/mathieeesingbas.doc
inline/mathieeesingbas.h: proto/mathieeesingbas.h fd/mathieeesingbas_lib.fd
proto/mathieeesingtrans.h: man/mathieeesingtrans.doc
inline/mathieeesingtrans.h: proto/mathieeesingtrans.h fd/mathieeesingtrans_lib.fd
proto/mathtrans.h: man/mathtrans.doc
inline/mathtrans.h: proto/mathtrans.h fd/mathtrans_lib.fd
proto/rexxsyslib.h: man/rexxsyslib.doc
inline/rexxsyslib.h: proto/rexxsyslib.h fd/rexxsyslib_lib.fd
proto/translator.h: man/translator.doc
inline/translator.h: proto/translator.h fd/translator_lib.fd
proto/utility.h: man/utility.doc
inline/utility.h: proto/utility.h fd/utility_lib.fd
proto/wb.h: man/wb.doc
inline/wb.h: proto/wb.h fd/wb_lib.fd
